| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
GslError Struct Reference

Helper class to represent GSL errors. More...

`#include <GaudiGSL/GslError.h>`

Collaboration diagram for GslError:
[legend]

## Public Member Functions
| GslError (std::string r="", std::string f="", const int l=0, const int c=0)
| constructor More...

## Public Attributes
std::string | reason
| error message ('reason') More...
std::string | file
| file name More...
int | line
| line number More...
int | code
| error code (GSL) More...

## Friends
bool | operator< (const GslError &left, const GslError &right)
| comparison (ordering) criteria More...

## Detailed Description

Helper class to represent GSL errors.

Author
  Vanya Belyaev Ivan.Belyaev

Date
  29/04/2002

Definition at line 16 of file GslError.h.

## Constructor & Destructor Documentation

GslError::GslError | ( | std::string | r = `""`,
|  | std::string | f = `""`,
|  | const int | l = `0`,
|  | const int | c = `0`
| ) |  |
| inline

constructor

Definition at line 28 of file GslError.h.

29 : reason( std::move( r ) ), file( std::move( f ) ), line( l ), code( c ){};
GslError::reason
std::string reason
error message (&#39;reason&#39;)
Definition: GslError.h:20
GslError::file
std::string file
file name
Definition: GslError.h:22
gaudirun.c
c
Definition: gaudirun.py:407
GslError::code
int code
error code (GSL)
Definition: GslError.h:26
GslError::line
int line
line number
Definition: GslError.h:24
std::move
T move(T...args)
gaudirun.l
dictionary l
Definition: gaudirun.py:440

## Friends And Related Function Documentation

bool operator< | ( | const GslError & | left,
|  | const GslError & | right
| ) |  |
| friend

comparison (ordering) criteria

Definition at line 31 of file GslError.h.

32 {
33 return std::tie( left.code, left.reason, left.file, left.line ) <
34 std::tie( right.code, right.reason, right.file, right.line );
35 };
GslError::reason
std::string reason
error message (&#39;reason&#39;)
Definition: GslError.h:20
GslError::file
std::string file
file name
Definition: GslError.h:22
std::tie
T tie(T...args)
GslError::code
int code
error code (GSL)
Definition: GslError.h:26
GslError::line
int line
line number
Definition: GslError.h:24

## Member Data Documentation

int GslError::code

error code (GSL)

Definition at line 26 of file GslError.h.

std::string GslError::file

file name

Definition at line 22 of file GslError.h.

int GslError::line

line number

Definition at line 24 of file GslError.h.

std::string GslError::reason

error message ('reason')

Definition at line 20 of file GslError.h.

The documentation for this struct was generated from the following file:

- GaudiGSL/GaudiGSL/GslError.h